/**
 * created by wbz20
 * on 2018/10/13
 * */

import { Message } from 'element-ui'
import { errMsg } from './config'

// 规范接口处理
// 请求拦截
export function interReq (config) {
  return config
}

// 响应拦截
export function interRes (res) {
  return res
}
// 响应错误拦截
export function interResErr (error) {
  return Promise.reject(error)
}

// 响应成功业务处理
export function resFn (res) {
  if (!res.data.succeed) {
    // 业务层失败
    Message({
      message: errMsg[res.data.errorCode] || res.data.errorMsg || '服务器不想说话 >.<',
      type: 'error',
      duration: 2 * 1000
    })
    if (res.errorCode === '600001') {
      window.location.href = '#/login'
    }
  }
  return res.data
}
